You can not select more than 25 topics Topics must start with a letter or number, can include dashes ('-') and can be up to 35 characters long.
 
 
 

129 lines
4.1 KiB

plugins {
id 'fabric-loom'
id 'maven-publish'
id "org.jetbrains.kotlin.jvm"
}
sourceCompatibility = JavaVersion.VERSION_1_8
targetCompatibility = JavaVersion.VERSION_1_8
archivesBaseName = project.archives_base_name
version = project.mod_version
group = project.maven_group
minecraft {
// add `"accessWidener": "dense.accesswidener"` to fabric.mod.json
// accessWidener "src/main/resources/dense.accesswidener"
}
repositories {
maven { url = 'http://maven.bintray.com/' }
maven { url = 'http://maven.fabricmc.net/' }
maven { url = 'https://maven.theillusivec4.top/' }
maven { name = 'Ladysnake Libs'; url = 'https://dl.bintray.com/ladysnake/libs' }
}
dependencies {
compile 'org.slf4j:slf4j-api:1.7.25'
// compile 'org.slf4j:slf4j-log4j12:1.7.5'
compile 'org.apache.logging.log4j:log4j-slf4j-impl:2.9.1'
compile 'org.apache.logging.log4j:log4j-api:2.9.1'
compile 'org.apache.logging.log4j:log4j-core:2.9.1'
compile 'org.fusesource.jansi:jansi:1.18'
implementation 'io.github.microutils:kotlin-logging:2.0.3'
//to change the versions see the gradle.properties file
minecraft "com.mojang:minecraft:${project.minecraft_version}"
mappings "net.fabricmc:yarn:${project.yarn_mappings}:v2"
// modApi "me.shedaniel.cloth.api:cloth-api:${project.cloth_api_version}"
// include "me.shedaniel.cloth.api:cloth-api:${project.cloth_api_version}"
modImplementation "net.fabricmc:fabric-loader:${project.loader_version}"
// Fabric API. This is technically optional, but you probably want it anyway.
modImplementation "net.fabricmc.fabric-api:fabric-api:${project.fabric_version}"
modImplementation "net.fabricmc:fabric-language-kotlin:${project.fabric_kotlin_version}"
modImplementation "top.theillusivec4.curios:curios-fabric:${project.curios_version}"
// modApi("me.shedaniel.cloth:config-2:${project.cloth_config_version}") {
// exclude(group: "net.fabricmc.fabric-api")
// }
//
// include "me.shedaniel.cloth:config-2:${project.cloth_config_version}"
modApi("me.sargunvohra.mcmods:autoconfig1u:${project.autoconfig_version}") {
exclude(group: "net.fabricmc.fabric-api")
}
include "me.sargunvohra.mcmods:autoconfig1u:${project.autoconfig_version}"
// modApi("io.github.prospector:modmenu:${project.modmenu_version}") {
// exclude(group: "net.fabricmc.fabric-api")
// }
// include "io.github.prospector:modmenu:${project.modmenu_version}"
// modImplementation "io.github.prospector:modmenu:${project.modmenu_version}"
// PSA: Some older mods, compiled on Loom 0.2.1, might have outdated Maven POMs.
// You may need to force-disable transitiveness on them.
}
processResources {
inputs.property "version", project.version
from(sourceSets.main.resources.srcDirs) {
include "fabric.mod.json"
expand "version": project.version
}
from(sourceSets.main.resources.srcDirs) {
exclude "fabric.mod.json"
}
}
// ensure that the encoding is set to UTF-8, no matter what the system default is
// this fixes some edge cases with special characters not displaying correctly
// see http://yodaconditions.net/blog/fix-for-java-file-encoding-problems-with-gradle.html
tasks.withType(JavaCompile) {
options.encoding = "UTF-8"
}
// Loom will automatically attach sourcesJar to a RemapSourcesJar task and to the "build" task
// if it is present.
// If you remove this task, sources will not be generated.
task sourcesJar(type: Jar, dependsOn: classes) {
classifier = "sources"
from sourceSets.main.allSource
}
jar {
from "LICENSE"
}
// configure the maven publication
publishing {
publications {
mavenJava(MavenPublication) {
// add all the jars that should be included when publishing to maven
artifact(remapJar) {
builtBy remapJar
}
artifact(sourcesJar) {
builtBy remapSourcesJar
}
}
}
// select the repositories you want to publish to
repositories {
// uncomment to publish to the local maven
// mavenLocal()
}
}
compileKotlin.kotlinOptions.jvmTarget = "1.8"